package arcgissamples.soe;

import com.esri.arcgisws.*;
import com.esri.arcgisws.runtime.WebServiceProxyImpl;

public class FindNearbyFeaturesSOEServiceBindingStub extends WebServiceProxyImpl implements IFindFeatures { 

	public FindNearbyFeaturesSOEServiceBindingStub() {}

	public FindNearbyFeaturesSOEServiceBindingStub(String endpointAddressURL) {
		setEndPointAddress(endpointAddressURL);
	}

	public FindNearbyFeaturesSOEServiceBindingStub(String endpointAddressURL, String username, String password) {
		setEndPointAddress(endpointAddressURL,username,password);
	}

	public com.esri.arcgisws.RecordSet findNearbyFeatures (int arg0, Point arg1, double arg2) {
		Object object = createDispatcher(FindNearbyFeatures.class);
		((FindNearbyFeatures)object).setArg0(arg0);
		((FindNearbyFeatures)object).setArg1(arg1);
		((FindNearbyFeatures)object).setArg2(arg2);
		return dispatchRequest(object, FindNearbyFeaturesResponse.class).getArg();
	}

}
